[Mayan EDMS: 1513] Update to 2.2b1 fails with celery package issues with newer Django 1.10.6 version

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 1513] Update to 2.2b1 fails with celery package issues with newer Django 1.10.6 version

Victor Zele
Hi,

I see the below in my worker/beat error logs when trying to bring up the new beta 2.2 version.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/djcelery/management/base.
py", line 60, in CeleryCommand
    options = BaseCommand.option_list
AttributeError: type object 'BaseCommand' has no attribute 'option_list'

Seems like celery needs patching or Django needs to be rolled back to 1.9.x


CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: [Mayan EDMS: 1513] Update to 2.2b1 fails with celery package issues with newer Django 1.10.6 version

rosarior
Administrator
On it. Thanks for the report!

On Mar 8, 2017 8:01 PM, "Victor Zele" <[hidden email]> wrote:
Hi,

I see the below in my worker/beat error logs when trying to bring up the new beta 2.2 version.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/djcelery/management/base.
py", line 60, in CeleryCommand
    options = BaseCommand.option_list
AttributeError: type object 'BaseCommand' has no attribute 'option_list'

Seems like celery needs patching or Django needs to be rolled back to 1.9.x


CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: [Mayan EDMS: 1515] Update to 2.2b1 fails with celery package issues with newer Django 1.10.6 version

rosarior
Administrator
The problem was the django-celery package. Upgrading to the latest version 3.2.1 which add support Django 1.10 (https://github.com/celery/django-celery/blob/master/Changelog) solves the issues.

pip install -U django-celery

Thanks for the find.

On Wednesday, March 8, 2017 at 10:48:02 PM UTC-4, Roberto Rosario wrote:
On it. Thanks for the report!

On Mar 8, 2017 8:01 PM, "Victor Zele" <[hidden email]> wrote:
Hi,

I see the below in my worker/beat error logs when trying to bring up the new beta 2.2 version.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/djcelery/management/base.
py", line 60, in CeleryCommand
    options = BaseCommand.option_list
AttributeError: type object 'BaseCommand' has no attribute 'option_list'

Seems like celery needs patching or Django needs to be rolled back to 1.9.x


CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 1516] Re: Update to 2.2b1 fails with celery package issues with newer Django 1.10.6 version

Victor Zele
In reply to this post by Victor Zele
Yep - I got that far now after updating the modules startup, but Nginx returns a bad gateway error and uwsgi.log contains modules errors below.

regards,
Victor


(mayan-edms) root@sjc1-mayan01:/var/log/uwsgi# tail uwsgi.log 
  File "/usr/share/mayan-edms/lib/python2.7/site-packages/django/utils/functional.py", line 35, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "/usr/share/mayan-edms/lib/python2.7/site-packages/django/template/engine.py", line 104, in template_loaders
    return self.get_template_loaders(self.loaders)
  File "/usr/share/mayan-edms/lib/python2.7/site-packages/django/template/engine.py", line 109, in get_template_loaders
    loader = self.find_template_loader(template_loader)
  File "/usr/share/mayan-edms/lib/python2.7/site-packages/django/template/engine.py", line 123, in find_template_loader
    return loader_class(self, *args)
TypeError: __init__() takes exactly 3 arguments (2 given)
[pid: 31898|app: 0|req: 1/1] 192.168.52.13 () {44 vars in 898 bytes} [Thu Mar  9 05:43:10 2017] GET /documents/list/ => generated 0 bytes in 524 msecs (HTTP/1.1 500) 0 headers in 0 bytes (0 switches on core 0)


On Wednesday, March 8, 2017 at 4:01:10 PM UTC-8, Victor Zele wrote:
Hi,

I see the below in my worker/beat error logs when trying to bring up the new beta 2.2 version.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/djcelery/management/base.
py", line 60, in CeleryCommand
    options = BaseCommand.option_list
AttributeError: type object 'BaseCommand' has no attribute 'option_list'

Seems like celery needs patching or Django needs to be rolled back to 1.9.x


CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 1517] Re: Update to 2.2b1 fails with celery package issues with newer Django 1.10.6 version

Victor Zele
In reply to this post by Victor Zele
nginx log shows:

2017/03/08 21:31:18 [error] 1619#0: *64 upstream prematurely closed connection while reading response header from upstream, client: 192.168.52.13, server: sjc1-mayan01.vimo.com, request: "GET /documents/list/ HTTP/1.1", upstream: "uwsgi://unix:/usr/share/mayan-edms/uwsgi.sock:", host: "sjc1-mayan01.vimo.com"
2017/03/08 21:43:11 [error] 31437#0: *3 upstream prematurely closed connection while reading response header from upstream, client: 192.168.52.13, server: sjc1-mayan01.vimo.com, request: "GET /documents/list/ HTTP/1.1", upstream: "uwsgi://unix:/usr/share/mayan-edms/uwsgi.sock:", host: "sjc1-mayan01.vimo.com"


On Wednesday, March 8, 2017 at 4:01:10 PM UTC-8, Victor Zele wrote:
Hi,

I see the below in my worker/beat error logs when trying to bring up the new beta 2.2 version.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/djcelery/management/base.
py", line 60, in CeleryCommand
    options = BaseCommand.option_list
AttributeError: type object 'BaseCommand' has no attribute 'option_list'

Seems like celery needs patching or Django needs to be rolled back to 1.9.x


CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 1518] Re: Update to 2.2b1 fails with celery package issues with newer Django 1.10.6 version

rosarior
Administrator
Just committed the fix for this one. Edit the mayan/settings/production.py file to add an extra set of parenthesis and a comma like this:

https://gitlab.com/mayan-edms/mayan-edms/commit/5abb6784333ee01c1808f51c4165dd0a2ae652b2


On Thursday, March 9, 2017 at 1:51:53 AM UTC-4, Victor Zele wrote:
nginx log shows:

2017/03/08 21:31:18 [error] 1619#0: *64 upstream prematurely closed connection while reading response header from upstream, client: 192.168.52.13, server: <a href="http://sjc1-mayan01.vimo.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com, request: "GET /documents/list/ HTTP/1.1", upstream: "uwsgi://unix:/usr/share/mayan-edms/uwsgi.sock:", host: "<a href="http://sjc1-mayan01.vimo.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com"
2017/03/08 21:43:11 [error] 31437#0: *3 upstream prematurely closed connection while reading response header from upstream, client: 192.168.52.13, server: <a href="http://sjc1-mayan01.vimo.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com, request: "GET /documents/list/ HTTP/1.1", upstream: "uwsgi://unix:/usr/share/mayan-edms/uwsgi.sock:", host: "<a href="http://sjc1-mayan01.vimo.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com"


On Wednesday, March 8, 2017 at 4:01:10 PM UTC-8, Victor Zele wrote:
Hi,

I see the below in my worker/beat error logs when trying to bring up the new beta 2.2 version.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/djcelery/management/base.
py", line 60, in CeleryCommand
    options = BaseCommand.option_list
AttributeError: type object 'BaseCommand' has no attribute 'option_list'

Seems like celery needs patching or Django needs to be rolled back to 1.9.x

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 1519] Re: Update to 2.2b1 fails with celery package issues with newer Django 1.10.6 version

Victor Zele
My lord, Roberto 2.2b1 is beautiful!   The fix works great!  More feedback as I have users try it tomorrow.

thanks again,
Victor

On Wednesday, March 8, 2017 at 9:55:34 PM UTC-8, Roberto Rosario wrote:
Just committed the fix for this one. Edit the mayan/settings/production.py file to add an extra set of parenthesis and a comma like this:

<a href="https://gitlab.com/mayan-edms/mayan-edms/commit/5abb6784333ee01c1808f51c4165dd0a2ae652b2" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgitlab.com%2Fmayan-edms%2Fmayan-edms%2Fcommit%2F5abb6784333ee01c1808f51c4165dd0a2ae652b2\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNH_c_UTWy1BVD-TGpG4nAMBMB9iAw&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgitlab.com%2Fmayan-edms%2Fmayan-edms%2Fcommit%2F5abb6784333ee01c1808f51c4165dd0a2ae652b2\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNH_c_UTWy1BVD-TGpG4nAMBMB9iAw&#39;;return true;">https://gitlab.com/mayan-edms/mayan-edms/commit/5abb6784333ee01c1808f51c4165dd0a2ae652b2


On Thursday, March 9, 2017 at 1:51:53 AM UTC-4, Victor Zele wrote:
nginx log shows:

2017/03/08 21:31:18 [error] 1619#0: *64 upstream prematurely closed connection while reading response header from upstream, client: 192.168.52.13, server: <a href="http://sjc1-mayan01.vimo.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com, request: "GET /documents/list/ HTTP/1.1", upstream: "uwsgi://unix:/usr/share/mayan-edms/uwsgi.sock:", host: "<a href="http://sjc1-mayan01.vimo.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com"
2017/03/08 21:43:11 [error] 31437#0: *3 upstream prematurely closed connection while reading response header from upstream, client: 192.168.52.13, server: <a href="http://sjc1-mayan01.vimo.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com, request: "GET /documents/list/ HTTP/1.1", upstream: "uwsgi://unix:/usr/share/mayan-edms/uwsgi.sock:", host: "<a href="http://sjc1-mayan01.vimo.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com"


On Wednesday, March 8, 2017 at 4:01:10 PM UTC-8, Victor Zele wrote:
Hi,

I see the below in my worker/beat error logs when trying to bring up the new beta 2.2 version.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/djcelery/management/base.
py", line 60, in CeleryCommand
    options = BaseCommand.option_list
AttributeError: type object 'BaseCommand' has no attribute 'option_list'

Seems like celery needs patching or Django needs to be rolled back to 1.9.x


CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 1520] Re: Update to 2.2b1 fails with celery package issues with newer Django 1.10.6 version

rosarior
Administrator
Awesome! The release is behind schedule and some planned additions had to be postponed. I'll make a post with the planned schedule until release. Thanks for the feedback and tests, they really help.

On Thursday, March 9, 2017 at 2:41:25 AM UTC-4, Victor Zele wrote:
My lord, Roberto 2.2b1 is beautiful!   The fix works great!  More feedback as I have users try it tomorrow.

thanks again,
Victor

On Wednesday, March 8, 2017 at 9:55:34 PM UTC-8, Roberto Rosario wrote:
Just committed the fix for this one. Edit the mayan/settings/production.py file to add an extra set of parenthesis and a comma like this:

<a href="https://gitlab.com/mayan-edms/mayan-edms/commit/5abb6784333ee01c1808f51c4165dd0a2ae652b2" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgitlab.com%2Fmayan-edms%2Fmayan-edms%2Fcommit%2F5abb6784333ee01c1808f51c4165dd0a2ae652b2\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNH_c_UTWy1BVD-TGpG4nAMBMB9iAw&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgitlab.com%2Fmayan-edms%2Fmayan-edms%2Fcommit%2F5abb6784333ee01c1808f51c4165dd0a2ae652b2\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNH_c_UTWy1BVD-TGpG4nAMBMB9iAw&#39;;return true;">https://gitlab.com/mayan-edms/mayan-edms/commit/5abb6784333ee01c1808f51c4165dd0a2ae652b2


On Thursday, March 9, 2017 at 1:51:53 AM UTC-4, Victor Zele wrote:
nginx log shows:

2017/03/08 21:31:18 [error] 1619#0: *64 upstream prematurely closed connection while reading response header from upstream, client: 192.168.52.13, server: <a href="http://sjc1-mayan01.vimo.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com, request: "GET /documents/list/ HTTP/1.1", upstream: "uwsgi://unix:/usr/share/mayan-edms/uwsgi.sock:", host: "<a href="http://sjc1-mayan01.vimo.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com"
2017/03/08 21:43:11 [error] 31437#0: *3 upstream prematurely closed connection while reading response header from upstream, client: 192.168.52.13, server: <a href="http://sjc1-mayan01.vimo.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com, request: "GET /documents/list/ HTTP/1.1", upstream: "uwsgi://unix:/usr/share/mayan-edms/uwsgi.sock:", host: "<a href="http://sjc1-mayan01.vimo.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsjc1-mayan01.vimo.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFM2syg5Qe0axhHxSsXgtLrpJtyWA&#39;;return true;">sjc1-mayan01.vimo.com"


On Wednesday, March 8, 2017 at 4:01:10 PM UTC-8, Victor Zele wrote:
Hi,

I see the below in my worker/beat error logs when trying to bring up the new beta 2.2 version.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/djcelery/management/base.
py", line 60, in CeleryCommand
    options = BaseCommand.option_list
AttributeError: type object 'BaseCommand' has no attribute 'option_list'

Seems like celery needs patching or Django needs to be rolled back to 1.9.x

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.